import styled, { css } from 'styled-components';
import { NavLink } from 'react-router-dom';
import { a as flexPosition, b as fontStyle, d as globalStyle } from './chunk-6a2706e0.js';
import { a as theme } from './chunk-a66336c0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from './chunk-a9eac9e3.js';

var _templateObject = taggedTemplateLiteral(['\n  &:hover,\n  &:active,\n  &:focus,\n  &:visited {\n    text-decoration: none;\n  }\n  box-sizing: border-box;\n'], ['\n  &:hover,\n  &:active,\n  &:focus,\n  &:visited {\n    text-decoration: none;\n  }\n  box-sizing: border-box;\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  ', '\n  ', '\n  text-align: center;\n  padding: 5px 25px;\n  width: ', ';\n  height: ', ';\n  text-decoration: none;\n  ', '\n  &.active {\n    border-bottom: 4px solid\n      ', ';\n    padding-bottom: 1px;\n    color: ', ';\n    ', '\n  }\n  &:hover {\n    text-decoration: none;\n    color: ', ';\n    ', '\n  }\n  &:focus {\n    color: ', ';\n  }\n  ', '\n'], ['\n  ', '\n  ', '\n  text-align: center;\n  padding: 5px 25px;\n  width: ', ';\n  height: ', ';\n  text-decoration: none;\n  ', '\n  &.active {\n    border-bottom: 4px solid\n      ', ';\n    padding-bottom: 1px;\n    color: ', ';\n    ', '\n  }\n  &:hover {\n    text-decoration: none;\n    color: ', ';\n    ', '\n  }\n  &:focus {\n    color: ', ';\n  }\n  ', '\n']),
    _templateObject3 = taggedTemplateLiteral(['\n  ', '\n  ', '\n  ', '\n'], ['\n  ', '\n  ', '\n  ', '\n']),
    _templateObject4 = taggedTemplateLiteral(['\n  ', '\n  background-color: transparent;\n  border: none;\n  cursor: pointer;\n  ', '\n'], ['\n  ', '\n  background-color: transparent;\n  border: none;\n  cursor: pointer;\n  ', '\n']),
    _templateObject5 = taggedTemplateLiteral(['\n  ', ', ', ' {\n    border-bottom: 1px solid ', ';\n    &.active {\n      border-bottom: 4px solid ', ';\n      padding-bottom: 2px;\n    }\n  }\n'], ['\n  ', ', ', ' {\n    border-bottom: 1px solid ', ';\n    &.active {\n      border-bottom: 4px solid ', ';\n      padding-bottom: 2px;\n    }\n  }\n']);

var removeLinkEffects = css(_templateObject);

var tabStyle = css(_templateObject2, fontStyle(theme.colors.GRAY_MEDIUM_3, theme.fontSizes.SIZE_7, theme.fontWeights.SEMIBOLD), flexPosition({ align: 'center', justify: 'center' }), function (_ref) {
  var width = _ref.width;
  return width || 'auto';
}, function (_ref2) {
  var height = _ref2.height;
  return height || '64px';
}, function (_ref3) {
  var nooutline = _ref3.nooutline;
  return nooutline ? 'outline: none;' : {};
}, function (_ref4) {
  var activebordercolor = _ref4.activebordercolor;
  return activebordercolor || theme.colors.MAIN_COLOR;
}, theme.colors.GRAY_DARKER, function (_ref5) {
  var activestyle = _ref5.activestyle;
  return activestyle;
}, function (_ref6) {
  var hovercolor = _ref6.hovercolor;
  return hovercolor || theme.colors.GRAY_DARKER;
}, function (_ref7) {
  var hoverstyle = _ref7.hoverstyle;
  return hoverstyle;
}, function (_ref8) {
  var hovercolor = _ref8.hovercolor;
  return hovercolor || theme.colors.GRAY_DARKER;
}, function (_ref9) {
  var customstyles = _ref9.customstyles;
  return customstyles;
});

var CustomNavLink = styled(NavLink)(_templateObject3, removeLinkEffects, tabStyle, function (_ref10) {
  var customStyles = _ref10.customStyles;
  return customStyles;
});

var CustomButtonTab = styled.button(_templateObject4, removeLinkEffects, tabStyle);

var secondaryStyle = css(_templateObject5, CustomNavLink, CustomButtonTab, theme.colors.GRAY_LIGHT_2, theme.colors.INFO_COLOR);

var TabsContainer = styled.div(_templateObject3, globalStyle(), flexPosition({ align: 'flex-end', justify: 'flex-start' }), function (_ref11) {
  var secondary = _ref11.secondary;
  return secondary ? secondaryStyle : {};
});

export { CustomNavLink as a, CustomButtonTab as b, TabsContainer as c };
//# sourceMappingURL=chunk-967ebbae.js.map
