import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../../chunk-a9eac9e3.js';

var _templateObject = taggedTemplateLiteral(['\n  cursor: pointer;\n'], ['\n  cursor: pointer;\n']);

var Icon = styled.svg(_templateObject);

var CloseIcon = function CloseIcon(_ref) {
  var size = _ref.size,
      color = _ref.color,
      className = _ref.className,
      onClick = _ref.onClick;
  return React.createElement(
    Icon,
    {
      xmlns: 'http://www.w3.org/2000/svg',
      xmlnsXlink: 'http://www.w3.org/1999/xlink',
      width: size,
      height: size,
      viewBox: '0 0 30 30',
      className: 'close-icon ' + className,
      onClick: onClick
    },
    React.createElement(
      'defs',
      null,
      React.createElement('path', {
        d: 'M15.9773624,14.0226376 L21.0226376,14.0226376 C21.56242,14.0226376 22,14.4602177 22,15 C22,15.5397823 21.56242,15.9773624 21.0226376,15.9773624 L15.9773624,15.9773624 L15.9773624,21.0226376 C15.9773624,21.56242 15.5397823,22 15,22 C14.4602177,22 14.0226376,21.56242 14.0226376,21.0226376 L14.0226376,15.9773624 L8.97736239,15.9773624 C8.43758005,15.9773624 8,15.5397823 8,15 C8,14.4602177 8.43758005,14.0226376 8.97736239,14.0226376 L14.0226376,14.0226376 L14.0226376,8.97736239 C14.0226376,8.43758005 14.4602177,8 15,8 C15.5397823,8 15.9773624,8.43758005 15.9773624,8.97736239 L15.9773624,14.0226376 Z',
        id: 'close-path-1'
      })
    ),
    React.createElement(
      'g',
      {
        id: 'icon/close/',
        stroke: 'none',
        strokeWidth: '1',
        fill: 'none',
        fillRule: 'evenodd'
      },
      React.createElement(
        'mask',
        { id: 'close-mask-2', fill: 'white' },
        React.createElement('use', { xlinkHref: '#close-path-1' })
      ),
      React.createElement('use', {
        id: 'close',
        fill: color,
        fillRule: 'nonzero',
        transform: 'translate(15.000000, 15.000000) rotate(-315.000000) translate(-15.000000, -15.000000) ',
        xlinkHref: '#close-path-1'
      })
    )
  );
};

CloseIcon.propTypes = {
  size: PropTypes.string,
  color: PropTypes.string,
  className: PropTypes.string,
  onClick: PropTypes.func
};

CloseIcon.defaultProps = {
  size: '25px',
  color: '#FFF',
  className: '',
  onClick: null
};

export default CloseIcon;
export { Icon };
//# sourceMappingURL=index.js.map
