import styled from 'styled-components';
import { a as flexPosition } from '../../chunk-6a2706e0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../chunk-a9eac9e3.js';
import React from 'react';
import PropTypes from 'prop-types';
import { a as theme } from '../../chunk-a66336c0.js';

var _templateObject = taggedTemplateLiteral(['\n  width: 100%;\n  height: 100%;\n  ', '\n  ', '\n'], ['\n  width: 100%;\n  height: 100%;\n  ', '\n  ', '\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  display: flex;\n  width: ', ';\n  height: ', ';\n  animation: rotation 1.5s infinite ease-in-out;\n  border: ', ';\n  border-top-color: rgba(255, 255, 255, 0);\n  border-bottom-color: rgba(255, 255, 255, 0);\n  border-radius: 50%;\n\n  @keyframes rotation {\n    to {\n      transform: rotate(360deg);\n    }\n  }\n'], ['\n  display: flex;\n  width: ', ';\n  height: ', ';\n  animation: rotation 1.5s infinite ease-in-out;\n  border: ', ';\n  border-top-color: rgba(255, 255, 255, 0);\n  border-bottom-color: rgba(255, 255, 255, 0);\n  border-radius: 50%;\n\n  @keyframes rotation {\n    to {\n      transform: rotate(360deg);\n    }\n  }\n']);

var LoaderWrapper = styled.div(_templateObject, function (props) {
  return props.fullScreen ? '\n    position: absolute;\n    top: 60px;\n    height: calc(100vh - 60px);\n    background: #fff;' : '\n    height: 100%;\n    margin: 0 auto;\n    width: 100%;\n  ';
}, flexPosition('center', 'center'));

var Loading = styled.i(_templateObject2, function (props) {
  return props.size;
}, function (props) {
  return props.size;
}, function (_ref) {
  var color = _ref.color,
      width = _ref.width;
  return width + ' solid ' + color;
});

var Loader = function Loader(_ref) {
  var size = _ref.size,
      color = _ref.color,
      width = _ref.width;
  return React.createElement(Loading, { color: color, size: size, width: width });
};

Loader.propTypes = {
  size: PropTypes.string,
  color: PropTypes.string,
  width: PropTypes.string
};

Loader.defaultProps = {
  size: '40px',
  color: theme.colors.MAIN_COLOR,
  width: '6px'
};

export default Loader;
//# sourceMappingURL=index.js.map
