import React from 'react';
import PropTypes from 'prop-types';
import { a as CustomNavLink, b as CustomButtonTab, c as TabsContainer } from '../../chunk-967ebbae.js';
import NavTab from './NavTab/index.js';
export { default as NavTab } from './NavTab/index.js';
import 'styled-components';
import 'react-router-dom';
import '../../chunk-6a2706e0.js';
import '../../chunk-a66336c0.js';
import '../../chunk-a9eac9e3.js';

var NavTabs = function NavTabs(_ref) {
  var children = _ref.children,
      customStyles = _ref.customStyles,
      secondary = _ref.secondary;
  return React.createElement(
    TabsContainer,
    { customStyles: customStyles, secondary: secondary },
    children
  );
};

NavTabs.propTypes = {
  customStyles: PropTypes.object,
  children: PropTypes.any.isRequired,
  secondary: PropTypes.bool
};

NavTabs.defaultProps = {
  customStyles: {},
  secondary: false
};

export { NavTabs };
//# sourceMappingURL=index.js.map
