import styled from 'styled-components';
import { a as flexPosition, b as fontStyle, d as globalStyle } from '../../chunk-6a2706e0.js';
import { a as theme } from '../../chunk-a66336c0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../chunk-a9eac9e3.js';
import React from 'react';
import PropTypes from 'prop-types';

var _templateObject = taggedTemplateLiteral(['\n  ', '\n  ', ';\n'], ['\n  ', '\n  ', ';\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  position: relative;\n  display: inline-block;\n  width: 41px;\n  min-width: 41px;\n  height: 24px;\n  margin: 0;\n'], ['\n  position: relative;\n  display: inline-block;\n  width: 41px;\n  min-width: 41px;\n  height: 24px;\n  margin: 0;\n']),
    _templateObject3 = taggedTemplateLiteral(['\n  ', '\n  position: relative;\n  margin-left: 10px;\n  ', ';\n'], ['\n  ', '\n  position: relative;\n  margin-left: 10px;\n  ', ';\n']),
    _templateObject4 = taggedTemplateLiteral(['\n  position: absolute;\n  opacity: 0;\n  :focus {\n    ~ span {\n      outline-width: 2px;\n      outline-style: solid;\n      outline-color: Highlight;\n    }\n  }\n'], ['\n  position: absolute;\n  opacity: 0;\n  :focus {\n    ~ span {\n      outline-width: 2px;\n      outline-style: solid;\n      outline-color: Highlight;\n    }\n  }\n']),
    _templateObject5 = taggedTemplateLiteral(['\n  border-radius: 34px;\n  cursor: ', ';\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  transition: transform 0.4s;\n  background-color: ', ';\n  ', ';\n\n  :before {\n    position: absolute;\n    content: \'\';\n    height: 16px;\n    width: 16px;\n    bottom: 4px;\n    background-color: ', ';\n    transition: transform 0.4s;\n    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.24), 0 0 1px 0 rgba(0, 0, 0, 0.12);\n    border-radius: 50%;\n    transform: ', ';\n    ', ';\n  }\n'], ['\n  border-radius: 34px;\n  cursor: ', ';\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  transition: transform 0.4s;\n  background-color: ', ';\n  ', ';\n\n  :before {\n    position: absolute;\n    content: \'\';\n    height: 16px;\n    width: 16px;\n    bottom: 4px;\n    background-color: ', ';\n    transition: transform 0.4s;\n    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.24), 0 0 1px 0 rgba(0, 0, 0, 0.12);\n    border-radius: 50%;\n    transform: ', ';\n    ', ';\n  }\n']);

var Switch = styled.div(_templateObject, globalStyle(), flexPosition({ align: 'center' }));

var SwitchBlock = styled.label(_templateObject2);

var SwitchText = styled.span(_templateObject3, fontStyle(theme.colors.GRAY_DARKER, theme.fontSizes.SIZE_7, theme.fontWeights.NORMAL), function (_ref) {
  var labelStyles = _ref.labelStyles;
  return labelStyles;
});

var SwitchInput = styled.input(_templateObject4);

var Slider = styled.span(_templateObject5, function (_ref2) {
  var disabled = _ref2.disabled;
  return disabled ? 'default' : 'pointer';
}, function (_ref3) {
  var checked = _ref3.checked;
  return checked ? theme.colors.MAIN_COLOR : theme.colors.GRAY_LIGHT_2;
}, function (_ref4) {
  var customStyles = _ref4.customStyles;
  return customStyles;
}, theme.colors.WHITE, function (_ref5) {
  var checked = _ref5.checked;
  return checked ? 'translateX(20px)' : 'translateX(4px)';
}, function (_ref6) {
  var sliderStyles = _ref6.sliderStyles;
  return sliderStyles;
});

var Switch$1 = function Switch$$1(_ref) {
  var id = _ref.id,
      className = _ref.className,
      checked = _ref.checked,
      disabled = _ref.disabled,
      onChange = _ref.onChange,
      customStyles = _ref.customStyles,
      sliderStyles = _ref.sliderStyles,
      labelStyles = _ref.labelStyles,
      children = _ref.children;
  return React.createElement(
    Switch,
    null,
    React.createElement(
      SwitchBlock,
      null,
      React.createElement(SwitchInput, {
        id: id,
        className: 'switch-4all ' + className,
        checked: checked,
        type: 'checkbox',
        onChange: onChange,
        disabled: disabled
      }),
      React.createElement(Slider, {
        checked: checked,
        customStyles: customStyles,
        sliderStyles: sliderStyles,
        disabled: disabled
      })
    ),
    React.createElement(
      SwitchText,
      { labelStyles: labelStyles },
      children
    )
  );
};

Switch$1.propTypes = {
  id: PropTypes.string,
  className: PropTypes.string,
  checked: PropTypes.bool,
  disabled: PropTypes.bool,
  customStyles: PropTypes.object,
  sliderStyles: PropTypes.object,
  labelStyles: PropTypes.object,
  onChange: PropTypes.func,
  children: PropTypes.any
};

Switch$1.defaultProps = {
  id: null,
  className: '',
  checked: false,
  disabled: false,
  onChange: null,
  customStyles: {},
  sliderStyles: {},
  labelStyles: {},
  children: ''
};

export default Switch$1;
//# sourceMappingURL=index.js.map
