import React from 'react';
import PropTypes from 'prop-types';
import { a as CustomNavLink, b as CustomButtonTab, c as TabsContainer } from '../../chunk-967ebbae.js';
import Tab from './Tab/index.js';
export { default as Tab } from './Tab/index.js';
import 'styled-components';
import 'react-router-dom';
import '../../chunk-6a2706e0.js';
import '../../chunk-a66336c0.js';
import '../../chunk-a9eac9e3.js';

var Tabs = function Tabs(_ref) {
  var children = _ref.children,
      customStyles = _ref.customStyles,
      secondary = _ref.secondary;
  return React.createElement(
    TabsContainer,
    { customStyles: customStyles, secondary: secondary },
    children
  );
};

Tabs.propTypes = {
  customStyles: PropTypes.object,
  children: PropTypes.any.isRequired,
  secondary: PropTypes.bool
};

Tabs.defaultProps = {
  customStyles: {},
  secondary: false
};

export { Tabs };
//# sourceMappingURL=index.js.map
