import { css } from 'styled-components';
import { a as theme } from './chunk-a66336c0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from './chunk-a9eac9e3.js';

var _templateObject = taggedTemplateLiteral(['\n  &::-webkit-scrollbar-track {\n    border-radius: 3px;\n    background-color: ', ';\n  }\n\n  &::-webkit-scrollbar {\n    width: 6px;\n    background-color: #fff;\n  }\n\n  &::-webkit-scrollbar-thumb {\n    border-radius: 3px;\n    background-color: ', ';\n  }\n'], ['\n  &::-webkit-scrollbar-track {\n    border-radius: 3px;\n    background-color: ', ';\n  }\n\n  &::-webkit-scrollbar {\n    width: 6px;\n    background-color: #fff;\n  }\n\n  &::-webkit-scrollbar-thumb {\n    border-radius: 3px;\n    background-color: ', ';\n  }\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  &,\n  * {\n    font-family: \'Open Sans\', Arial, Helvetica, sans-serif;\n    box-sizing: border-box;\n    text-decoration: none;\n  }\n'], ['\n  &,\n  * {\n    font-family: \'Open Sans\', Arial, Helvetica, sans-serif;\n    box-sizing: border-box;\n    text-decoration: none;\n  }\n']);

var flexPosition = function flexPosition(_ref) {
  var _ref$align = _ref.align,
      align = _ref$align === undefined ? '' : _ref$align,
      _ref$justify = _ref.justify,
      justify = _ref$justify === undefined ? '' : _ref$justify,
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? '' : _ref$direction;
  return '\n  display: flex;\n  ' + (align && 'align-items: ' + align + ';') + '\n  ' + (justify && 'justify-content: ' + justify + ';') + '\n  ' + (direction && 'flex-direction: ' + direction + ';') + '\n';
};

var fontStyle = function fontStyle(color, fontSize, fontWeight) {
  return '\n  ' + (color && 'color: ' + color + ';') + '\n  ' + (fontSize && 'font-size: ' + fontSize + ';') + '\n  ' + (fontWeight && 'font-weight: ' + fontWeight + ';') + '\n';
};

var customScrollbar = function customScrollbar() {
  return css(_templateObject, theme.colors.GRAY_LIGHT, theme.colors.GRAY_LIGHT_2);
};

var globalStyle = function globalStyle() {
  return css(_templateObject2);
};

var getColSize = function getColSize() {
  var colSize = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;

  var col = colSize < 0 ? 1 : colSize;
  col = colSize > 12 ? 12 : colSize;
  var spacing = colSize === 1 ? theme.grid.COL_SPACING : theme.grid.COL_SPACING * (colSize - 1);
  return col * theme.grid.COL_SIZE + spacing + 'px';
};

var mixins = /*#__PURE__*/Object.freeze({
  flexPosition: flexPosition,
  fontStyle: fontStyle,
  customScrollbar: customScrollbar,
  globalStyle: globalStyle,
  getColSize: getColSize
});

export { flexPosition as a, fontStyle as b, customScrollbar as c, globalStyle as d, getColSize as e, mixins as f };
//# sourceMappingURL=chunk-6a2706e0.js.map
