'use strict';

var styles = {
  fontSizes: {
    SIZE_1: '35px',
    SIZE_2: '30px',
    SIZE_3: '25px',
    SIZE_4: '20px',
    SIZE_5: '16px',
    SIZE_6: '14px',
    SIZE_7: '12px'
  },
  fontWeights: {
    BOLD: '700',
    SEMIBOLD: '600',
    NORMAL: 'normal'
  },
  fontFamily: "'Open Sans', sans-serif",
  buttons: {
    HEIGHT_SMALL: '40px',
    HEIGHT_MEDIUM: '45px',
    HEIGHT_LARGE: '50px'
  },
  colors: {
    MAIN_COLOR: '#4FA444',
    DANGER_COLOR: '#D34848',
    INFO_COLOR: '#588de7',
    HIGHLIGHT_COLOR: '#E29A09',
    GRAY_DARKER: '#333333',
    GRAY_MEDIUM: '#979797',
    GRAY_MEDIUM_3: '#a0a0a0',
    GRAY_LIGHT: '#F5F5F5',
    GRAY_LIGHT_2: '#E4E4E4',
    WHITE: '#FFFFFF'
  },
  borders: {
    RADIUS_1: '3px',
    RADIUS_ROUND: '50%'
  },
  input: {
    DEFAULT_HEIGHT: '40px'
  },
  grid: {
    COL_SIZE: 67.5,
    COL_SPACING: 30,
    SCREEN_MAX_WIDTH: 1170
  }
};

exports.theme = styles;
//# sourceMappingURL=chunk-f34490ab.js.map
