import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
import { e as getColSize } from '../../chunk-6a2706e0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../chunk-a9eac9e3.js';
import '../../chunk-a66336c0.js';

var _templateObject = taggedTemplateLiteral(['\n  background-color: #ffffff;\n  border-radius: 3px;\n  box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.05);\n  width: ', ';\n  margin-right: ', ';\n  ', '\n'], ['\n  background-color: #ffffff;\n  border-radius: 3px;\n  box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.05);\n  width: ', ';\n  margin-right: ', ';\n  ', '\n']);

var BoxContainer = styled.div(_templateObject, function (_ref) {
  var size = _ref.size;
  return size ? getColSize(size) : '100%';
}, function (_ref2) {
  var colSpacing = _ref2.colSpacing;
  return colSpacing ? colSpacing + 'px' : '0px';
}, function (_ref3) {
  var customStyles = _ref3.customStyles;
  return customStyles;
});

var Box = function Box(_ref4) {
  var colSize = _ref4.colSize,
      colSpacing = _ref4.colSpacing,
      customStyles = _ref4.customStyles,
      children = _ref4.children;

  return React.createElement(
    BoxContainer,
    { size: colSize, colSpacing: colSpacing, customStyles: customStyles },
    children
  );
};

Box.propTypes = {
  colSize: PropTypes.number,
  colSpacing: PropTypes.number,
  customStyles: PropTypes.object,
  children: PropTypes.any.isRequired
};

Box.defaultProps = {
  colSize: 12,
  colSpacing: 0,
  customStyles: {}
};

export default Box;
//# sourceMappingURL=index.js.map
