import styled, { css } from 'styled-components';
import { Link } from 'react-router-dom';
import { a as theme } from '../../chunk-a66336c0.js';
import { b as fontStyle } from '../../chunk-6a2706e0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../chunk-a9eac9e3.js';
import React from 'react';
import PropTypes from 'prop-types';
import ArrowComponent from '../Icons/Arrow/index.js';

var _templateObject = taggedTemplateLiteral(['\n  display: flex;\n  align-items: center;\n  ', '\n'], ['\n  display: flex;\n  align-items: center;\n  ', '\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  ', '\n'], ['\n  ', '\n']),
    _templateObject3 = taggedTemplateLiteral(['\n  height: 17px;\n  display: flex;\n  align-items: center;\n'], ['\n  height: 17px;\n  display: flex;\n  align-items: center;\n']);

var linkStyle = css(_templateObject, fontStyle(theme.colors.WHITE, theme.fontSizes.SIZE_7, theme.fontWeights.SEMIBOLD));

var ExternalLink = styled.a(_templateObject2, linkStyle);

var InternalLink = styled(Link)(_templateObject2, linkStyle);

var BreadCrumb = styled.div(_templateObject3);

function BreadCrumb$1(_ref) {
  var links = _ref.links;

  return React.createElement(
    BreadCrumb,
    null,
    links.map(function (item, index) {
      return React.createElement(
        React.Fragment,
        null,
        item.external ? React.createElement(
          ExternalLink,
          { href: item.link },
          item.text
        ) : React.createElement(
          InternalLink,
          { to: item.link },
          item.text
        ),
        index !== links.length - 1 && React.createElement(ArrowComponent, null)
      );
    })
  );
}

BreadCrumb$1.defaultProps = {
  links: []
};

BreadCrumb$1.propTypes = {
  links: PropTypes.arrayOf(PropTypes.shape({
    external: PropTypes.bool,
    link: PropTypes.string,
    text: PropTypes.string
  }))
};

export default BreadCrumb$1;
//# sourceMappingURL=index.js.map
