import React from 'react';
import PropTypes from 'prop-types';
import { a as theme } from '../../../chunk-a66336c0.js';

var IconChevron = function IconChevron(_ref) {
  var size = _ref.size,
      color = _ref.color;

  return React.createElement(
    'svg',
    { xmlns: 'http://www.w3.org/2000/svg', width: size, height: size, viewBox: '0 0 17 17' },
    React.createElement('path', {
      fill: 'none',
      stroke: color,
      strokeLinecap: 'round',
      strokeLinejoin: 'round',
      strokeWidth: '1.5',
      d: 'M3 6l5.5 5L14 6'
    })
  );
};

IconChevron.propTypes = {
  size: PropTypes.string,
  color: PropTypes.string
};

IconChevron.defaultProps = {
  size: '17px',
  color: theme.colors.MAIN_COLOR
};

export default IconChevron;
//# sourceMappingURL=index.js.map
