import styled from 'styled-components';
import { d as globalStyle } from '../../chunk-6a2706e0.js';
import { a as theme } from '../../chunk-a66336c0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../chunk-a9eac9e3.js';
import React from 'react';
import PropTypes from 'prop-types';

var _templateObject = taggedTemplateLiteral(['\n  ', '\n  background-color: ', ';\n  border-radius: ', ';\n  height: ', ';\n  overflow: hidden;\n  position: relative;\n  width: ', ';\n\n  ', '\n'], ['\n  ', '\n  background-color: ', ';\n  border-radius: ', ';\n  height: ', ';\n  overflow: hidden;\n  position: relative;\n  width: ', ';\n\n  ', '\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  background-color: ', ';\n  border-radius: ', ';\n  height: ', ';\n  left: 0;\n  position: absolute;\n  top: 0;\n  width: ', ';\n'], ['\n  background-color: ', ';\n  border-radius: ', ';\n  height: ', ';\n  left: 0;\n  position: absolute;\n  top: 0;\n  width: ', ';\n']);

var Container = styled.div(_templateObject, globalStyle(), theme.colors.GRAY_LIGHT_2, function (_ref) {
  var roundness = _ref.roundness;
  return roundness;
}, function (_ref2) {
  var height = _ref2.height;
  return height;
}, function (_ref3) {
  var width = _ref3.width;
  return width;
}, function (_ref4) {
  var customStyles = _ref4.customStyles;
  return customStyles;
});

var Bar = styled.div(_templateObject2, function (_ref5) {
  var barColor = _ref5.barColor;
  return barColor;
}, function (_ref6) {
  var roundness = _ref6.roundness;
  return roundness;
}, function (_ref7) {
  var height = _ref7.height;
  return height;
}, function (_ref8) {
  var progress = _ref8.progress;
  return progress + '%';
});

var ProgressBar = function ProgressBar(_ref) {
  var id = _ref.id,
      className = _ref.className,
      progress = _ref.progress,
      barColor = _ref.barColor,
      height = _ref.height,
      width = _ref.width,
      customStyles = _ref.customStyles,
      roundness = _ref.roundness;
  return React.createElement(
    Container,
    {
      id: id,
      className: 'progress-bar-4all ' + className,
      height: height,
      width: width,
      customStyles: customStyles,
      roundness: roundness
    },
    React.createElement(Bar, {
      className: 'progress-bar-fill',
      barColor: barColor,
      progress: progress,
      height: height,
      roundness: roundness
    })
  );
};

ProgressBar.propTypes = {
  id: PropTypes.string,
  className: PropTypes.string,
  progress: PropTypes.number,
  barColor: PropTypes.string,
  height: PropTypes.string,
  width: PropTypes.string,
  customStyles: PropTypes.object,
  roundness: PropTypes.string
};

ProgressBar.defaultProps = {
  id: '',
  className: '',
  progress: 0,
  barColor: theme.colors.MAIN_COLOR,
  height: '5px',
  width: '200px',
  customStyles: {},
  roundness: theme.borders.RADIUS_1
};

export default ProgressBar;
//# sourceMappingURL=index.js.map
