import styled from 'styled-components';
import { a as theme } from '../../chunk-a66336c0.js';
import { b as fontStyle, d as globalStyle } from '../../chunk-6a2706e0.js';
import { a as classCallCheck, b as createClass, c as inherits, d as objectWithoutProperties, e as possibleConstructorReturn, f as taggedTemplateLiteral, g as toConsumableArray, h as _extends } from '../../chunk-a9eac9e3.js';
import React from 'react';
import PropTypes from 'prop-types';

var _templateObject = taggedTemplateLiteral(['\n  ', '\n  background-color: ', ';\n  border: 1px solid ', ';\n  border-radius: ', ';\n  ', ';\n  line-height: 18px;\n  max-width: ', ';\n  padding: 10px;\n  height: ', ';\n  width: ', ';\n\n  ', '\n\n  :disabled {\n    background-color: ', ';\n  }\n'], ['\n  ', '\n  background-color: ', ';\n  border: 1px solid ', ';\n  border-radius: ', ';\n  ', ';\n  line-height: 18px;\n  max-width: ', ';\n  padding: 10px;\n  height: ', ';\n  width: ', ';\n\n  ', '\n\n  :disabled {\n    background-color: ', ';\n  }\n']);

var Textarea = styled.textarea(_templateObject, globalStyle(), theme.colors.WHITE, function (_ref) {
  var error = _ref.error;
  return error ? theme.colors.DANGER_COLOR : theme.colors.GRAY_LIGHT_2;
}, theme.borders.RADIUS_1, fontStyle(theme.colors.GRAY_DARKER, theme.fontSizes.SIZE_7, theme.fontWeights.SEMIBOLD), function (_ref2) {
  var width = _ref2.width;
  return width;
}, function (_ref3) {
  var height = _ref3.height;
  return height;
}, function (_ref4) {
  var width = _ref4.width;
  return width;
}, function (_ref5) {
  var customStyles = _ref5.customStyles;
  return customStyles;
}, theme.colors.GRAY_LIGHT_2);

var Textarea$1 = function Textarea$$1(_ref) {
  var id = _ref.id,
      name = _ref.name,
      className = _ref.className,
      value = _ref.value,
      height = _ref.height,
      width = _ref.width,
      onChange = _ref.onChange,
      customStyles = _ref.customStyles,
      placeholder = _ref.placeholder,
      disabled = _ref.disabled,
      error = _ref.error;
  return React.createElement(Textarea, {
    id: id,
    name: name,
    className: 'textarea-4all ' + className,
    value: value,
    customStyles: customStyles,
    width: width,
    onChange: onChange,
    height: height,
    placeholder: placeholder,
    disabled: disabled,
    error: error
  });
};

Textarea$1.propTypes = {
  value: PropTypes.string,
  height: PropTypes.string,
  onChange: PropTypes.func.isRequired,
  id: PropTypes.string,
  name: PropTypes.string,
  className: PropTypes.string,
  width: PropTypes.string,
  customStyles: PropTypes.object,
  placeholder: PropTypes.string,
  disabled: PropTypes.bool,
  error: PropTypes.bool
};

Textarea$1.defaultProps = {
  value: '',
  height: '150px',
  id: '',
  name: '',
  className: '',
  width: '100%',
  customStyles: {},
  placeholder: '',
  disabled: false,
  error: false
};

export default Textarea$1;
//# sourceMappingURL=index.js.map
